SciQLOP - Task #1783
Epic story # 1171 (In Progress): Gestion des variables (inspecteur de variables)
User story # 1300 (Closed): Surveillance d'une variable
Ajout de colonne dans l'inspecteur de variable
Status: Closed Start date: 03/08/2017
Priority: High Due date: 14/08/2017
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

e Unité

e Nom plugin

e Mission

Related issues:
Blocked by Task #1834: Mise a jour du fichier JSON pour AMDA Closed

History

#1 - 31/07/2017 03:10 PM - Anonymous
- Sprint changed from Sprint5 to Sprint6

#2 - 03/08/2017 10:33 AM - Anonymous
- Status changed from New to In Progress
- Assignee set to Anonymous

- Start date set to 03/08/2017

#3 - 03/08/2017 10:33 AM - Anonymous
- % Done changed from 0 to 70

#4 - 03/08/2017 11:09 AM - Anonymous

Les colonnes ont été ajoutées au widget.
Reste a déterminer comment sont passées a la variable les données nécessaires (unité, mission).

Par exemple, dans AMDA, I'unité est présente pour un paramétre (entrée parameter) mais ne l'est pas pour ses composants (entrée component)
dans le fichier JSON. Lorsque I'on charge un composant, comment récupérer l'unité ?

Plusieurs solutions sont possibles :

e au moment de la création de I'arbre, on effectue un post-traitement pour aller fixer I'unité pour le composant, en la récupérant du paramétre.
Puis, lorsque la variable est créée, on lui passe les métadonnées de l'item tel quel

¢ au moment de la création de la variable, on lui passe les métadonnées de l'item + on parcourt dans les ancétres de I'item les métadonnées en
plus nécessaires (i.e. dans le cas d'un composant, récupérer |'unité du parametre et ajouter la métadonnée aux métadonnées de la variable)

e adapter les plugins pour que toutes les informations nécessaires soient déja présentes dans l'item chargé, pour ne pas avoir de post-traitement
a effectuer au moment de la création de la variable

#5 - 08/08/2017 09:48 AM - Anonymous

- Status changed from In Progress to Feedback

#6 - 08/08/2017 09:58 AM - Anonymous
- Blocked by Task #1834: Mise & jour du fichier JSON pour AMDA added

#7 - 14/08/2017 09:25 AM - Anonymous
- Due date set to 14/08/2017
- Status changed from Feedback to Resolved

- % Done changed from 70 to 100

#8 - 14/08/2017 09:27 AM - Anonymous

- Status changed from Resolved to Feedback

#9 - 14/08/2017 09:29 AM - Anonymous
- Status changed from Feedback to Closed
